Package org.eclipse.m2m.atl.emftvm

# Interface NamedElement

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `Feature`, `Field`, `InputRuleElement`, `LocalVariable`, `Module`, `Operation`, `OutputRuleElement`, `Parameter`, `Rule`, `RuleElement`, `TypedElement`

All Known Implementing Classes:
  `FeatureImpl`, `FieldImpl`, `InputRuleElementImpl`, `LocalVariableImpl`, `ModuleImpl`, `NamedElementImpl`, `OperationImpl`, `OutputRuleElementImpl`, `ParameterImpl`, `RuleElementImpl`, `RuleImpl`, `TypedElementImpl`

public interface NamedElement extends org.eclipse.emf.ecore.EObject
A representation of the model object 'Named Element'.

See Also:
  - `EmftvmPackage.getNamedElement()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the value of the 'Name' attribute.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getName

String getName()
Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `EmftvmPackage.getNamedElement_Name()`

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`